petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMPlexSnapToGeomModel

Given a coordinate point 'mcoords' on the mesh point 'p', return the closest coordinate point 'gcoords' on the geometry model associated with that point.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSnapToGeomModel(DM dm, PetscInt p, const PetscScalar mcoords[], PetscScalar gcoords[])

Not collective

### Input Parameters

| dm | - The DMPlex object
| p | - The mesh point
| mcoords | - A coordinate point lying on the mesh point

### Output Parameter

gcoords -The closest coordinate point on the geometry model associated with 'p' to the given point

Note: Returns the original coordinates if no geometry model is found. Right now the only supported geometry model is EGADS.

### See Also

DMRefine(), DMPlexCreate(), DMPlexSetRefinementUniform()

### Level

intermediate

### Location

src/dm/impls/plex/plexegads.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages